"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryStickerEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const user_entity_1 = require("./user.entity");
const my_sticker_entity_1 = require("./my-sticker.entity");
let CategoryStickerEntity = class CategoryStickerEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "category_sticker_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'owner_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], CategoryStickerEntity.prototype, "owner", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "price", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "no_of_download", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "no_of_sticker", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "delete_reason", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "reject_reason", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "is_admin", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "is_bypass_download", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => my_sticker_entity_1.MyStickerEntity, (mySticker) => mySticker.category_sticker),
    __metadata("design:type", Array)
], CategoryStickerEntity.prototype, "my_sticker", void 0);
CategoryStickerEntity = __decorate([
    (0, typeorm_1.Entity)('category_sticker')
], CategoryStickerEntity);
exports.CategoryStickerEntity = CategoryStickerEntity;
//# sourceMappingURL=category-sticker.entity.js.map