"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessagePinnedEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const conversation_entity_1 = require("./conversation.entity");
const message_entity_1 = require("./message.entity");
const user_entity_1 = require("./user.entity");
let MessagePinnedEntity = class MessagePinnedEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], MessagePinnedEntity.prototype, "message_pinned_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => message_entity_1.MessageEntity, (message) => message.message_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'message_id',
    }),
    __metadata("design:type", message_entity_1.MessageEntity)
], MessagePinnedEntity.prototype, "message", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => conversation_entity_1.ConversationEntity, (conversation) => conversation.conversation_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'conversation_id',
    }),
    __metadata("design:type", conversation_entity_1.ConversationEntity)
], MessagePinnedEntity.prototype, "conversation", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], MessagePinnedEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 1,
        nullable: true,
    }),
    __metadata("design:type", Number)
], MessagePinnedEntity.prototype, "status", void 0);
MessagePinnedEntity = __decorate([
    (0, typeorm_1.Entity)('message_pinned')
], MessagePinnedEntity);
exports.MessagePinnedEntity = MessagePinnedEntity;
//# sourceMappingURL=message-pinned.entity.js.map